.readtime {
  display: inline-block;

  .icon {
    width: 16px;
    display: inline-block;
    line-height: 1;
    vertical-align: middle;
    margin-right: 0.3rem;
  }
}

body {
  &.theme-grey {
    background: $color-bg-coolGrey;
  }
}

section {
  position: relative;

  .curve {
    position: absolute;
    left: 0;
    right: 0;
    line-height: 1;

    svg {
      display: block;
      width: 100%;
      height: auto;
      fill: #fff;
    }

    &.top {
      top: -1px;
    }

    &.bottom {
      bottom: 0;
    }
  }

  // TODO: remove this eventually
  .curve-top {
    position: absolute;
    top: 0;
    left: 0;
    width: 200%;
    left: -50%;
    transform: translateY(-80%);

    @include breakpoint($large) {
      width: 120%;
      left: -10%;
      transform: translateY(-90%);
    }

    svg {
      width: 100%;
      height: auto;
    }
  }

  .curve-bottom {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 200%;
    left: -50%;
    transform: translateY(80%);

    @include breakpoint($large) {
      transform: translateY(90%);
      width: 120%;
      left: -10%;
    }

    svg {
      width: 100%;
      height: auto;
    }
  }
}

.columns\@md {
  &.spaced > div:first-child {
    margin-bottom: map-get($mobile, space-sm);
  }

  @include breakpoint($medium) {
    &.spaced > div:first-child {
      margin-bottom: 0;
    }

    display: flex;
    justify-content: space-between;

    > * {
      flex: 0 0 46.3%;

      > *:last-child {
        margin-bottom: 0;
      }
    }

    &--wide {
      > * {
        flex: 0 0 48%;
      }
    }
  }
}

.columns\@lg {
  @include breakpoint($large) {
    display: flex;
    justify-content: space-between;

    > * {
      flex: 0 0 46.3%;

      > *:last-child {
        margin-bottom: 0;
      }
    }
  }
}

.align {
  &-center {
    text-align: center;
  }

  &-right {
    text-align: right;
  }
}

.box {
  $parent: &;

  background: #fff;
  border-radius: 10px;
  padding: 1.5rem;

  & + & {
    margin-top: map-get($mobile, space-sm);
  }

  @include breakpoint($large) {
    &:not(#{$parent}--sm) {
      padding: $global-padding-box-desktop;
    }
  }

  &--alt {
    background-color: $color-bg-coolGrey;
  }

  .links {
    margin: 0;
  }
}

.module {
  position: relative;

  //padding: map-get($mobile, space-lg) 0 0;
  margin: map-get($mobile, space-lg) 0;

  @include breakpoint($large) {
    //padding: map-get($desktop, space-lg) 0 0;
    margin: map-get($desktop, space-lg) 0;
  }

  &--product {
    margin: 0;
    padding: map-get($mobile, space-lg) 0;

    @include breakpoint($large) {
      padding: map-get($desktop, space-lg) 0;
    }
  }

  &.module-curve-top-concave {
    padding: map-get($mobile, space-lg-withCurve) 0 map-get($mobile, space-lg);

    @include breakpoint($large) {
      padding: map-get($desktop, space-lg-withCurve) 0
        map-get($desktop, space-lg);
    }
  }

  &.module-curve-top-convex {
    padding: map-get($mobile, space-lg) 0 map-get($mobile, space-lg);

    @include breakpoint($large) {
      padding: map-get($desktop, space-lg) 0 map-get($desktop, space-lg);
    }
  }

  &.module-curve-bottom-concave {
    padding-bottom: map-get($mobile, space-lg-withCurve);

    @include breakpoint($large) {
      padding-bottom: map-get($desktop, space-lg-withCurve);
    }
  }

  &.module-curve-bottom-convex {
    padding-bottom: map-get($mobile, space-lg);

    @include breakpoint($large) {
      padding-bottom: map-get($desktop, space-lg);
    }
  }

  &.module-noCurveBottom.module-curve-after-concave {
    padding-bottom: map-get($mobile, space-lg-withoutCurve);

    @include breakpoint($large) {
      padding-bottom: map-get($desktop, space-lg-withoutCurve);
    }
  }

  &.module-noCurveTop.module-curve-before-concave {
    padding-top: map-get($mobile, space-lg-withoutCurve);

    @include breakpoint($large) {
      padding-top: map-get($desktop, space-lg-withoutCurve);
    }
  }

  &.module-first {
    //padding-top: 0.6rem;

    @include breakpoint($large) {
      //padding-top: map-get($desktop, space-lg-withoutCurve);
    }
  }

  .title {
    color: $color-heading;
  }

  // Debugging
  &--wrapped {
    &:before {
      @include font-size(11);

      content: "using wrapper module";
      position: absolute;
      top: 50px;
      left: 50px;
      background: $color-grass;
      padding: 4px;
      color: #fff;
      font-weight: 300;
      font-family: $font-muli;
      letter-spacing: 2px;
      line-height: 1.2;
      text-transform: uppercase;
      z-index: 100;
      pointer-events: none;
    }

    &:after {
      content: "";
      position: absolute;
      top: 50px;
      right: 50px;
      bottom: 50px;
      left: 50px;
      z-index: 99;
      border: 5px solid $color-grass;
      pointer-events: none;
    }
  }

  // Debugging
  &--wrapped {
    &:before {
      @include font-size(11);

      content: "using wrapper module";
      position: absolute;
      top: 50px;
      left: 50px;
      background: $color-grass;
      padding: 4px;
      color: #fff;
      font-weight: 300;
      font-family: $font-muli;
      letter-spacing: 2px;
      line-height: 1.2;
      text-transform: uppercase;
      z-index: 100;
      pointer-events: none;
    }

    &:after {
      content: "";
      position: absolute;
      top: 50px;
      right: 50px;
      bottom: 50px;
      left: 50px;
      z-index: 99;
      border: 5px solid $color-grass;
      pointer-events: none;
    }
  }

  &--init {
    & > .wrapper {
      opacity: 0;
      //transform: translate(0, 20px);
      position: relative;
      z-index: 1;

      @include breakpoint($large) {
        transition: all 0.5s;
        //transform: translate(0, 100px);
      }

      transition: all 0.3s;

      .sitecore--editing & {
        opacity: 1;
      }
    }
  }

  &--visible {
    & > .wrapper {
      opacity: 1;
      transform: translate(0, 0);
    }
  }

  &.theme--text-black {
    .head .title,
    .head p,
    .start-quote__title,
    .feedback-module__title {
      color: $text-color;
    }
  }

  &.theme--subHeadingText-black {
    .head .label {
      font-weight: 400;
      color: $text-color;
    }
  }

  &.theme--text-green {
    .head .title,
    .head p,
    .start-quote__title,
    .feedback-module__title {
      color: $color-accessibleGreen;
    }
  }

  &.theme--subHeadingText-blue {
    .head .label {
      font-weight: 400;
      color: $color-bondiBlue;
    }
  }

  &.theme--text-blue {
    .head .title,
    .head p,
    .start-quote__title,
    .feedback-module__title {
      color: $color-bondiBlue;
    }
  }

  &.theme--subHeadingText-green {
    .head .label {
      font-weight: 400;
      color: $color-accessibleGreen;
    }
  }

  &.theme--text-white {
    .head .title,
    .head p,
    .start-quote__title,
    .feedback-module__title {
      color: #fff;
    }
  }

  &.theme--subHeadingText-white {
    .head .label {
      font-weight: 600;
      color: #fff;
    }
  }
}

.module-background,
.box-background {
  overflow: hidden;
  position: absolute;
  display: block;
  height: 100%;
  top: 0;
  left: 0;
  width: 100%;

  background-repeat: no-repeat;
  background-size: cover;
  background-position: 50% 50%;

  img {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
    //transform:translateX(-50%);
    //max-width:none;
    /*
    @include breakpoint($large) {
      top: 50%;
      left:0;
      transform:translateY(-50%);
      width: 100%;
      height:auto;
    }*/
  }
}

.header {
  color: $text-color-invert;
  position: absolute;
  left: 0;
  width: 100%;
  z-index: 6;
  line-height: 1;

  //background: linear-gradient(0deg, rgba(0,0,0,30%) 0%, rgba(0,0,0,50%) 100%);

  .container {
    height: 100%;
    position: relative;
  }

  .header--body {
    @include breakpoint($large) {
      max-width: 60%;
    }

    @include breakpoint($large) {
      position: absolute;
      top: 50%;
      left: $global-padding-desktop;
      right: $global-padding-desktop;
      transform: translateY(-50%);
    }

    .header--headline {
      margin-bottom: 1em;
    }

    .cta {
      margin-right: 2em;
      margin-bottom: 1em;

      @include breakpoint($large) {
        margin-bottom: 0;
      }

      &:last-child {
        margin-right: 0;
        margin-bottom: 0;
      }
    }
  }
}

body.index,
body.partners,
body.error {
  .header {
    position: relative;
    left: auto;
    transform: none;
    margin-bottom: 4rem;
  }
}
